Subject: RE: NCFTP 2.3.0 on b.18+termcap-1.3+ncurses-4.1
From: [email-masked] (Vassilii Khachaturov)

28 Jan 1998 22:30:09 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "Gnu-Win32 (E-mail)" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

Solved!

Since then I 
1) installed the latest coolview cygwin.dll/libcygwin.a
(many thanks to Sergey!! it surprises me every now and then in
eliminating annoying things that existed in the orig. b18 cygwin.dll)
2) downloaded the newest 2.x (2.4.2) ncftp

and it compiled and worked almost out of box (still I had to fix the
name of
the Curses.h wrapper).

Thanks a lot to Igor Kovalenko for his help.

Vassilii Khachaturov
[email-masked]

> -----Original Message-----
> From:	Vassilii Khachaturov [SMTP:[email-masked]]
> Sent:	Sunday, January 18, 1998 12:03 PM
> To:	Gnu-Win32 (E-mail)
> Subject:	NCFTP 2.3.0 on b.18+termcap-1.3+ncurses-4.1
> 
> Hi!
> I've once heard here people have succeeded in building NCFTP.
> I've got gnuwin32 b.18
> with termcap-1.3
> and ncurses-4.1
> install & working on it.
> After configure+make (mixed-case mount, otherwise there's a clash
> between the system
> curses.h and NCFTPs Curses.h that wraps the former)
> I get the following linker errors (at the end of the letter).
> Any ideas?
> 
> Vassilii
> 
> gcc Bookmark.o  Cmdline.o   Cmdlist.o   Cmds.o      Complete.o  Cpp.o
> DateSize.o
>   FTP.o       Find.o      Get.o       GetPass.o   Getopt.o Glob.o
> Hostwin.o
>    LGets.o     LineList.o  List.o      Macro.o Main.o      MakeArgv.o
> Open.o
>    Prefs.o     Progress.o  Put.o RCmd.o      Strn.o      Tips.o
> Util.o
>  WGets.o     Win.o Xfer.o -o ncftp -L/usr/local/lib -lreadline
> -lncurses
> Hostwin.o: In function `DrawHostList':
> /usr/local/src/ncftp-2.3.0/Hostwin.c:135: undefined reference to
> `WAttr'
> /usr/local/src/ncftp-2.3.0/Hostwin.c:143: undefined reference to
> `WAttr'
> /usr/local/src/ncftp-2.3.0/Hostwin.c:154: undefined reference to
> `WAttr'
> /usr/local/src/ncftp-2.3.0/Hostwin.c:159: undefined reference to
> `WAttr'
> Hostwin.o: In function `EditHostWinGetStr':
> /usr/local/src/ncftp-2.3.0/Hostwin.c:335: undefined reference to
> `WAttr'
> Hostwin.o:/usr/local/src/ncftp-2.3.0/Hostwin.c:338: more undefined
> references to
>  `WAttr' follow
> Hostwin.o: In function `HostWinEdit':
> /usr/local/src/ncftp-2.3.0/Hostwin.c:651: undefined reference to
> `WAddCenteredSt
> r'
> /usr/local/src/ncftp-2.3.0/Hostwin.c:652: undefined reference to
> `WAttr'
> Hostwin.o: In function `HostWindow':
> /usr/local/src/ncftp-2.3.0/Hostwin.c:983: undefined reference to
> `WAttr'
> /usr/local/src/ncftp-2.3.0/Hostwin.c:984: undefined reference to
> `WAddCenteredSt
> r'
> /usr/local/src/ncftp-2.3.0/Hostwin.c:985: undefined reference to
> `WAttr'
> Prefs.o: In function `PrefsWinGetStr':
> /usr/local/src/ncftp-2.3.0/Prefs.c:312: undefined reference to `WAttr'
> /usr/local/src/ncftp-2.3.0/Prefs.c:314: undefined reference to `WAttr'
> Prefs.o: In function `PrefsWinGetNum':
> /usr/local/src/ncftp-2.3.0/Prefs.c:357: undefined reference to `WAttr'
> /usr/local/src/ncftp-2.3.0/Prefs.c:359: undefined reference to `WAttr'
> Prefs.o:/usr/local/src/ncftp-2.3.0/Prefs.c:400: more undefined
> references to `WA
> ttr' follow
> Prefs.o: In function `PrefsWindow':
> /usr/local/src/ncftp-2.3.0/Prefs.c:511: undefined reference to
> `WAddCenteredStr'
> 
> /usr/local/src/ncftp-2.3.0/Prefs.c:512: undefined reference to `WAttr'
> Progress.o: In function `PrPhilBar':
> /usr/local/src/ncftp-2.3.0/Progress.c:230: undefined reference to
> `gListWin'
> /usr/local/src/ncftp-2.3.0/Progress.c:230: undefined reference to
> `WAttr'
> /usr/local/src/ncftp-2.3.0/Progress.c:232: undefined reference to
> `gListWin'
> /usr/local/src/ncftp-2.3.0/Progress.c:232: undefined reference to
> `WAttr'
> gcc: Internal compiler error: program ld got fatal signal 1
> make: *** [ncftp] Error 1
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".